Assignments Assignments

Public Member Functions | Public Attributes | List of all members
Util::Plane< Dim > Class Template Reference

`#include <geometry.h>`

## Public Member Functions
| Plane (void)
| Plane (const Point< Dim > &n, const Point< Dim > &p)
template<typename ... Points>
| Plane (Points ... points)
| Plane (Point< Dim > *points)
| Plane (const Point< Dim > *points)
double | operator() (const Point< Dim > &p) const

## Public Attributes
Point< Dim > | normal
double | distance

## Detailed Description

template<unsigned int Dim>
class Util::Plane< Dim >

This templated class represents a hyperplane in Dim dimensions.

## Constructor & Destructor Documentation

## ◆ Plane() [1/5]

template<unsigned int Dim>

Util::Plane< Dim >::Plane | ( | void |  | ) |

Default constructor

## ◆ Plane() [2/5]

template<unsigned int Dim>

Util::Plane< Dim >::Plane | ( | const Point< Dim > & | n,
|  | const Point< Dim > & | p )

This constructor generates a plane with normal n, passing through the point p.

## ◆ Plane() [3/5]

template<unsigned int Dim>
template<typename ... Points>

Util::Plane< Dim >::Plane | ( | Points ... | points | ) |

This constructor generates a plane that contains the simplex specified by the Dim vertices.

## ◆ Plane() [4/5]

template<unsigned int Dim>

Util::Plane< Dim >::Plane | ( | Point< Dim > * | points | ) |

This constructor generates a plane that contains the simplex specified by the Dim vertices.

## ◆ Plane() [5/5]

template<unsigned int Dim>

Util::Plane< Dim >::Plane | ( | const Point< Dim > * | points | ) |

This constructor generates a plane that contains the simplex specified by the Dim vertices.

## Member Function Documentation

## ◆ operator()()

template<unsigned int Dim>

double Util::Plane< Dim >::operator() | ( | const Point< Dim > & | p | ) | const

This method evalues the plane equation at the specified point, returning < p , normal > + distance.

## Member Data Documentation

## ◆ distance

template<unsigned int Dim>

double Util::Plane< Dim >::distance

(Minus) the normal distance of the plane from the origin

## ◆ normal

template<unsigned int Dim>

Point< Dim > Util::Plane< Dim >::normal

The normal of the plane

The documentation for this class was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.inl